/*
 * Copyright (c) 2018, PostgreSQL Global Development Group
 * See the LICENSE file in the project root for more information.
 */

package org.postgresql.test.core;

import java.util.Arrays;
import org.junit.jupiter.api.Assertions;
import org.junit.jupiter.params.ParameterizedTest;
import org.junit.jupiter.params.provider.MethodSource;
import org.postgresql.core.Oid;
import org.postgresql.util.PSQLException;

public class OidToStringTest {
    public static Iterable<Object[]> data() {
        return Arrays.asList(new Object[][]{
                {142, "XML"},
                {0, "UNSPECIFIED"},
                {-235, "<unknown:-235>"},
        });
    }

    @MethodSource("data")
    @ParameterizedTest(name = "expected={1}, value={0}")
    void run(int value, String expected) throws PSQLException {
        Assertions.assertEquals(expected, Oid.toString(value));
    }
}
