/*
 * Copyright (c) 2018, PostgreSQL Global Development Group
 * See the LICENSE file in the project root for more information.
 */

package org.postgresql.test.core;

import java.util.Arrays;
import org.junit.jupiter.api.Assertions;
import org.junit.jupiter.params.ParameterizedTest;
import org.junit.jupiter.params.provider.MethodSource;
import org.postgresql.core.Oid;
import org.postgresql.util.PSQLException;

public class OidValueOfTest {
    public static Iterable<Object[]> data() {
        return Arrays.asList(new Object[][]{
                {25, "TEXT"},
                {0, "UNSPECIFIED"},
                {199, "JSON_ARRAY"},
                {100, "100"},
        });
    }

    @MethodSource("data")
    @ParameterizedTest(name = "expected={0}, value={1}")
    void run(int expected, String value) throws PSQLException {
        Assertions.assertEquals(expected, Oid.valueOf(value));
    }
}
